registerOutputEvent("FxDtsBrick","MountPlayerToVehicle","list Slot1 0 Slot2 1 Slot3 2 Slot4 3 Slot5 4 Slot6 5 Slot6 5 Slot7 6 Slot8 7 Slot9 8 None 9",1);
registerInputEvent(fxDtsBrick, "onMountBlocked", "Self fxDtsBrick" TAB "Player Player");
registerOutputEvent("FxDtsBrick","MountPlayerToVehicleNext");

function FXdtsBrick::MountPlayerToVehicleNext(%brick,%client)
{
	if(getTrustLevel(%brick,%client) <= 0 || miniGameCanUse(%brick,%client) == -1)
		return;

	%vehicle=%brick.Vehicle; 
	
	if(!isObject(%vehicle))
		return;
	
	for(%i=0; %i<%vehicle.getDatablock().nummountpoints; %i++)
	{
		%slot=%vehicle.getMountedObject(%i);
		echo(%vehicle.getDatablock().nummountpoints @" slot "@%i @" = "@isObject(%slot) SPC %brick+1);
		if(%slot == 0 && !isPlayer(%slot))
		{	
			%SetPlayer=true;
			break;
		}
	}
	
	if(%setPlayer == true)
	{
		%vehicle.mountObject(%client.player,%i);
		error("mounted to number "@%i);
	}
}

function isPlayer(%this)
{
	if(isObject(%this))
		if(%this.getClassName() $= "Player" || %this.getClassName() $= "aiPlayer")
			return true;
	else
		return false;
}

function FxDtsBrick::MountPlayerToVehicle(%brick,%this,%client)
{
	if(getTrustLevel(%brick,%client) <= 0 || miniGameCanUse(%brick,%client) == -1)
		return;

	%vehicle=%brick.Vehicle;

	if(!isObject(%vehicle))
		return;	

	%mountPoints=%vehicle.getDataBlock().numMountPoints;
		
	if(%this > %mountpoints)
		return;
		
	if(%vehicle.getMountedObject(%this) != 0)
	{
		$input_target["Self"] = %brick;
		%brick.processInputEvent(onMountBlocked,%client);
		return;
	}
		
	else
		%vehicle.mountObject(%client.player,%this);
}
